/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "DPPLiveProcess.h"
#include "controllers/common/family/Families.h"

using namespace std;
using namespace acquisition;

namespace npp {

const std::string DPPLiveProcess::TYPE = "dpp_live_process";

DPPLiveProcess::DPPLiveProcess(std::string const & name) :
	ExperimentController(name),
	controller::Stoppable(this),
	controller::Raz(this) {

	setFamily(family::ACQUISITION, family::SETTING);

	fileName.init(this, NOSAVE, "file_name");
}

DPPLiveProcess::DPPLiveProcess(DPPLiveProcess const & controller) :
	ExperimentController(controller),
	controller::Stoppable(this),
	controller::Raz(this) {
}

void DPPLiveProcess::setDetectorControllers(const std::vector<ControllerPtr<acquisition::DetectorController> > & detectorControllers) {

	this->detectorControllers = detectorControllers;
}

}
